/* Layout */
import Layout from '@/layout'

export default {
  path: '/tradeManagement',
  component: Layout,
  redirect: '/tradeManagement/biddingManagement',
  name: 'TradeManagement',
  meta: { title: '贸易管理', icon: 'tradeManagement' },
  children: [
    {
      path: 'biddingManagement',
      name: 'BiddingManagement',
      component: () => import('@/views/biddingManagement/index'),
      meta: { title: '招投标管理' },
      children: [
        {
          path: '/biddingManagement/templateReview/:id',
          name: 'BiddingManagementTemplateReview',
          component: () => import('@/views/biddingManagement/templateReview'),
          hidden: true,
          meta: { title: '模板审核', activeMenu: '/tradeManagement/biddingManagement' }
        },
        {
          path: '/biddingManagement/guaranteeConfirm/:id',
          name: 'BiddingManagementGuaranteeConfirm',
          component: () => import('@/views/biddingManagement/guaranteeConfirm'),
          hidden: true,
          meta: { title: '保证方式确认', activeMenu: '/tradeManagement/biddingManagement' }
        },
        {
          path: '/biddingManagement/marginCollectionConfirm/:id',
          name: 'BiddingManagementMarginCollectionConfirm',
          component: () => import('@/views/biddingManagement/marginCollectionConfirm'),
          hidden: true,
          meta: { title: '保证金收款确认', activeMenu: '/tradeManagement/biddingManagement' }
        },
        {
          path: '/biddingManagement/successfulBidderConfirm/:id',
          name: 'BiddingManagementSuccessfulBidderConfirm',
          component: () => import('@/views/biddingManagement/successfulBidderConfirm'),
          hidden: true,
          meta: { title: '中标确认', activeMenu: '/tradeManagement/biddingManagement' }
        },
        {
          path: '/biddingManagement/marginRefundConfirm/:id',
          name: 'BiddingManagementMarginRefundConfirm',
          component: () => import('@/views/biddingManagement/marginRefundConfirm'),
          hidden: true,
          meta: { title: '保证金退款确认', activeMenu: '/tradeManagement/biddingManagement' }
        },
        {
          path: '/biddingManagement/see/:id',
          name: 'BiddingManagementSee',
          component: () => import('@/views/biddingManagement/see'),
          hidden: true,
          meta: { title: '查看', activeMenu: '/tradeManagement/biddingManagement' }
        }
      ]
    },
    {
      path: 'salesContractManagement',
      name: 'SalesContractManagement',
      component: () => import('@/views/salesContractManagement/index'),
      meta: { title: '销售合同管理' },
      children: [
        {
          path: '/salesContractManagement/prequalification/:id',
          name: 'SalesContractManagementPrequalification',
          component: () => import('@/views/salesContractManagement/prequalification'),
          hidden: true,
          meta: { title: '模板审核', activeMenu: '/tradeManagement/salesContractManagement' }
        },
        {
          path: '/salesContractManagement/salesContractReview/:id',
          name: 'SalesContractManagementSalesContractReview',
          component: () => import('@/views/salesContractManagement/salesContractReview'),
          hidden: true,
          meta: { title: '合同审核', activeMenu: '/tradeManagement/salesContractManagement' }
        },
        {
          path: '/salesContractManagement/signReview/:id',
          name: 'SalesContractManagementSignReview',
          component: () => import('@/views/salesContractManagement/signReview'),
          hidden: true,
          meta: { title: '签署审核', activeMenu: '/tradeManagement/salesContractManagement' }
        },
        {
          path: '/salesContractManagement/changeContractReview/:id',
          name: 'SalesContractManagementChangeContractReview',
          component: () => import('@/views/salesContractManagement/changeContractReview'),
          hidden: true,
          meta: { title: '变更模板审核', activeMenu: '/tradeManagement/salesContractManagement' }
        },
        {
          path: '/salesContractManagement/see/:id',
          name: 'SalesContractManagementSee',
          component: () => import('@/views/salesContractManagement/see'),
          hidden: true,
          meta: { title: '查看', activeMenu: '/tradeManagement/salesContractManagement' }
        }
      ]
    },
    {
      path: 'purchaseContractManagement',
      name: 'PurchaseContractManagement',
      component: () => import('@/views/purchaseContractManagement/index'),
      meta: { title: '采购合同管理' },
      children: [
        {
          path: '/purchaseContractManagement/purchaseContractReview/:id',
          name: 'PurchaseContractReview',
          component: () => import('@/views/purchaseContractManagement/purchaseContractReview'),
          hidden: true,
          meta: { title: '合同审核', activeMenu: '/tradeManagement/purchaseContractManagement' }
        },
        {
          path: '/purchaseContractManagement/signReview/:id',
          name: 'PurchaseContractSignReview',
          component: () => import('@/views/purchaseContractManagement/signReview'),
          hidden: true,
          meta: { title: '签署审核', activeMenu: '/tradeManagement/purchaseContractManagement' }
        },
        {
          path: '/purchaseContractManagement/changeContractReview/:id',
          name: 'PurchaseContractChangeReview',
          component: () => import('@/views/purchaseContractManagement/changeContractReview'),
          hidden: true,
          meta: { title: '变更审核', activeMenu: '/tradeManagement/purchaseContractManagement' }
        },
        {
          path: '/purchaseContractManagement/purchaseContractDetail/:id',
          name: 'PurchaseContractDetail',
          component: () => import('@/views/purchaseContractManagement/detail'),
          hidden: true,
          meta: { title: '查看详情', activeMenu: '/tradeManagement/purchaseContractManagement' }
        }
      ]
    },
    {
      path: 'acceptanceManagement',
      name: 'AcceptanceManagement',
      component: () => import('@/views/acceptanceManagement/index'),
      meta: { title: '验收单管理', activeMenu: '/tradeManagement/acceptanceManagement' },
      children: [
        {
          path: '/acceptanceManagement/legalReview/:id',
          name: 'AccepetanceLegalReview',
          component: () => import('@/views/acceptanceManagement/legalReview'),
          hidden: true,
          meta: { title: '法务审核', activeMenu: '/tradeManagement/acceptanceManagement' }
        },

        {
          path: '/acceptanceManagement/businessReview/:id',
          name: 'AccepetanceBusinessReview',
          component: () => import('@/views/acceptanceManagement/businessReview'),
          hidden: true,
          meta: { title: '业务审核', activeMenu: '/tradeManagement/acceptanceManagement' }
        },
        {
          path: '/acceptanceManagement/adjustReview/:id',
          name: 'AccepetanceAdjustReview',
          component: () => import('@/views/acceptanceManagement/adjustReview'),
          hidden: true,
          meta: { title: '单价变更审核', activeMenu: '/tradeManagement/acceptanceManagement' }
        },
        {
          path: '/acceptanceManagement/view/:id',
          name: 'AcceptanceManagementView',
          component: () => import('@/views/acceptanceManagement/view'),
          hidden: true,
          meta: { title: '查看', activeMenu: '/tradeManagement/acceptanceManagement' }
        }
      ]
    },
    {
      path: '/settlementManagement',
      name: 'SettlementManagement',
      component: () => import('@/views/settlementManagement/index'),
      meta: { title: '结算单管理' },
      children: [
        {
          path: '/settlementManagement/settlementEdit/:id',
          name: 'SettlementEdit',
          component: () => import('@/views/settlementManagement/edit'),
          hidden: true,
          meta: { title: '结算单审核', activeMenu: '/settlementManagement' }
        },
        {
          path: '/settlementManagement/settlementView/:id',
          name: 'SettlementView',
          component: () => import('@/views/settlementManagement/detail'),
          hidden: true,
          meta: { title: '结算单详情', activeMenu: '/settlementManagement' }
        }
      ]
    },
    {
      path: 'invoicesManagement',
      name: 'InvoicesManagement',
      component: () => import('@/views/invoicesManagement/index'),
      meta: { title: '发票管理' },
      children: [
        {
          path: '/invoicesManagement/businessReview/:id',
          name: 'InvoicesManagementBusinessReview',
          component: () => import('@/views/invoicesManagement/businessReview'),
          hidden: true,
          meta: { title: '业务审核', activeMenu: '/tradeManagement/invoicesManagement' }
        },
        {
          path: '/invoicesManagement/financialReview/:id',
          name: 'InvoicesManagementFinancialReview',
          component: () => import('@/views/invoicesManagement/financialReview'),
          hidden: true,
          meta: { title: '财务审核', activeMenu: '/tradeManagement/invoicesManagement' }
        },
        {
          path: '/invoicesManagement/see/:id',
          name: 'InvoicesManagementSee',
          component: () => import('@/views/invoicesManagement/see'),
          hidden: true,
          meta: { title: '查看', activeMenu: '/tradeManagement/invoicesManagement' }
        }
      ]
    }
  ]
}
