export default {
  data() {
    return {
      loading: false,
      tableOptions: {
        sortTable: true,
        maxHeight: 'calc(100vh - 406px)',
        height: 'calc(100vh - 406px)'
      },
      columns: [
        {
          label: '序号',
          index: true
        },
        {
          label: '企业名称',
          prop: 'enterpriceCn',
          showTooltip: true
        },
        {
          label: '联系人姓名',
          prop: 'contactName',
          showTooltip: true
        },
        {
          label: '联系人职务',
          prop: 'contactPost',
          showTooltip: true
        },
        {
          label: '联系电话',
          prop: 'enterpriceCn',
          showTooltip: true
        },
        {
          label: '联系邮箱',
          prop: 'email',
          showTooltip: true
        },
        {
          label: '操作',
          show: true,
          render: (h, row) => {
            const btnList = [
              {
                msg: '查看',
                icon: 'iconfont icon-Magnifier',
                power: 'viewContactUSHome',
                // tabPower: ['all'],
                // rowPower: [],
                category: 'see'
              }
            ]
            const options = btnList.map(item => {
              return (
                <el-tooltip class='item' effect='dark' content={item.msg} placement='top' >
                  <span class='table-icon-box' v-power={item.power}>
                    <i class={item.icon} onClick={() => { this.handlerOperate(item.category, row, item.msg) }}></i>
                  </span>
                </el-tooltip>
              )
            })
            return <div>{ options }</div>
          },
          width: 150
        }
      ]
    }
  }
}
